[Qa-jenkins-scm] [jenkins.debian.net] 01/02: reproducible debian: maintenance: use fixed string matching instead of extended regexp, as it's a whole lot quicker and we don't use regexp here anyway

Holger Levsen holger at layer-acht.org
Thu Jun 2 08:16:53 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 3e4247923956e58029dcf9c218776a7c0f701b0a
Author: Mattia Rizzolo <mattia at debian.org>
Date:   Thu Jun 2 07:59:45 2016 +0000

    reproducible debian: maintenance: use fixed string matching instead of extended regexp, as it's a whole lot quicker and we don't use regexp here anyway
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_maintenance.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index a84d472..a4a1b48 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -203,7 +203,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
 	# (ignore "*None.rbuild.log" because these are build which were just started)
 	# this job runs every 4h
 	echo "$(date -u) - Rescheduling failed builds due to diffoscope schroot issues."
-	FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -E 'E: 10mount: error: Directory' {} \; || true)
+	FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -F 'E: 10mount: error: Directory' {} \; || true)
 	if [ ! -z "$FAILED_BUILDS" ] ; then
 		echo
 		echo "Warning: The following builds have failed due to diffoscope schroot problems and will be rescheduled now:"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list